Bug 969643 - [abrt] springlobby-0.169-3.fc18: __cxxabiv1::__cxa_pure_virtual: Process /usr/bin/springlobby was killed by signal 6 (SIGABRT)
[abrt] springlobby-0.169-3.fc18: __cxxabiv1::__cxa_pure_virtual: Process /usr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: springlobby (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
abrt_hash:35eb848ac30a674a65e2383fd24...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 06:04 EDT by Dimitar H Dimitrov
Modified: 2013-07-15 01:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 01:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.10 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: cgroup (132 bytes, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: core_backtrace (2.00 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: dso_list (13.55 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: environ (2.10 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: maps (69.17 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: open_fds (276 bytes, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: var_log_messages (541 bytes, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details
File: xsession_errors (1.93 KB, text/plain)
2013-06-01 06:05 EDT, Dimitar H Dimitrov
no flags Details

  None (edit)
Description Dimitar H Dimitrov 2013-06-01 06:04:57 EDT
Description of problem:
Used ARM formation
1. Build bigest guns (which shoots fast and drain a lots of energy :) ). Set "Fire at will" command.
2. Build more than 150 air craft and send to enemy teritory for patrol
3. When guns and aircraft start to shoot at the same time something goes wrong and the screen goes frozen first
the the game continues...
4. When the game is going to be closed it crashes.

Version-Release number of selected component:
springlobby-0.169-3.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/springlobby
crash_function: __cxxabiv1::__cxa_pure_virtual
executable:     /usr/bin/springlobby
kernel:         3.9.2-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #5 __cxxabiv1::__cxa_pure_virtual at ../../../../libstdc++-v3/libsupc++/pure.cc:50
 #6 boost::system::system_error::what() const
 #11 void boost::throw_exception<boost::lock_error>(boost::lock_error const&)
 #12 LSL::WorkItemQueue::Process()
 #13 boost::(anonymous namespace)::thread_proxy at libs/thread/src/pthread/thread.cpp:143
Comment 1 Dimitar H Dimitrov 2013-06-01 06:05:01 EDT
Created attachment 755509 [details]
File: backtrace
Comment 2 Dimitar H Dimitrov 2013-06-01 06:05:04 EDT
Created attachment 755510 [details]
File: cgroup
Comment 3 Dimitar H Dimitrov 2013-06-01 06:05:07 EDT
Created attachment 755511 [details]
File: core_backtrace
Comment 4 Dimitar H Dimitrov 2013-06-01 06:05:10 EDT
Created attachment 755512 [details]
File: dso_list
Comment 5 Dimitar H Dimitrov 2013-06-01 06:05:13 EDT
Created attachment 755513 [details]
File: environ
Comment 6 Dimitar H Dimitrov 2013-06-01 06:05:15 EDT
Created attachment 755514 [details]
File: limits
Comment 7 Dimitar H Dimitrov 2013-06-01 06:05:18 EDT
Created attachment 755515 [details]
File: maps
Comment 8 Dimitar H Dimitrov 2013-06-01 06:05:22 EDT
Created attachment 755516 [details]
File: open_fds
Comment 9 Dimitar H Dimitrov 2013-06-01 06:05:24 EDT
Created attachment 755517 [details]
File: proc_pid_status
Comment 10 Dimitar H Dimitrov 2013-06-01 06:05:27 EDT
Created attachment 755518 [details]
File: var_log_messages
Comment 11 Dimitar H Dimitrov 2013-06-01 06:05:30 EDT
Created attachment 755519 [details]
File: xsession_errors
Comment 12 Gilboa Davara 2013-07-09 09:25:12 EDT
Can you reproduce this issue w/ the latest package(s)?
Comment 13 Dimitar H Dimitrov 2013-07-09 17:54:56 EDT
It is okay now.
No more crashes!
Great!
Comment 14 Gilboa Davara 2013-07-15 01:37:50 EDT
Good to hear.
Closing. Please reopen if/when needed.

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.